taffybar-0.4.5: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.FSMonitor

Description

Simple text widget that monitors the current usage of selected disk partitions by regularly parsing the output of the df command in Linux systems.

Synopsis

- fsMonitorNew :: Double -> [String] -> IO Widget

# Documentation

fsMonitorNew Source

Arguments

:: Double | Polling interval (in seconds, e.g. 500)
-> [String] | Names of the partitions to monitor (e.g. ["/", "/home"])
-> IO Widget |

Creates a new filesystem monitor widget. It contains one `PollingLabel` that displays the data returned by the df command. The usage level of all requested partitions is extracted in one single operation.